#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n , k , i , krt , br;
    scanf("%d %d" , &n , &k) ;
    int karte[n];
    for(i=0;i<=n-1;i++){
        scanf("%d" , &krt) ;
        karte[i] = krt;
        if(krt==k)
            br=i ;
    }
    if(br==n-1)
        printf("%d\n" , karte[0]) ;
    else
        printf("%d\n" , karte[br+1]) ;
}